GNU Radio's GSM Package: gr::gsm::burst_timeslot_filter_impl Class Reference

GNU Radio's GSM Package

Public Member Functions | List of all members
gr::gsm::burst_timeslot_filter_impl Class Reference

`#include <burst_timeslot_filter_impl.h>`

Inheritance diagram for gr::gsm::burst_timeslot_filter_impl:

## Public Member Functions
| burst_timeslot_filter_impl (unsigned int timeslot)
| ~burst_timeslot_filter_impl ()
void | process_burst (pmt::pmt_t msg)
unsigned int | get_tn (void)
unsigned int | set_tn (unsigned int tn)
filter_policy | get_policy (void)
filter_policy | set_policy (filter_policy policy)

## Additional Inherited Members
Public Types inherited from gr::gsm::burst_timeslot_filter
typedef boost::shared_ptr< burst_timeslot_filter > | sptr
Static Public Member Functions inherited from gr::gsm::burst_timeslot_filter
static sptr | make (unsigned int timeslot)
| Return a shared_ptr to a new instance of grgsm::burst_timeslot_filter. More...

## Constructor & Destructor Documentation

## ◆ burst_timeslot_filter_impl()

gr::gsm::burst_timeslot_filter_impl::burst_timeslot_filter_impl | ( | unsigned int | timeslot | ) |

## ◆ ~burst_timeslot_filter_impl()

gr::gsm::burst_timeslot_filter_impl::~burst_timeslot_filter_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_policy()

filter_policy gr::gsm::burst_timeslot_filter_impl::get_policy | ( | void |  | ) |
| virtual

Implements gr::gsm::burst_timeslot_filter.

## ◆ get_tn()

unsigned int gr::gsm::burst_timeslot_filter_impl::get_tn | ( | void |  | ) |
| virtual

Implements gr::gsm::burst_timeslot_filter.

## ◆ process_burst()

void gr::gsm::burst_timeslot_filter_impl::process_burst | ( | pmt::pmt_t | msg | ) |

## ◆ set_policy()

filter_policy gr::gsm::burst_timeslot_filter_impl::set_policy | ( | filter_policy | policy | ) |
| virtual

Implements gr::gsm::burst_timeslot_filter.

## ◆ set_tn()

unsigned int gr::gsm::burst_timeslot_filter_impl::set_tn | ( | unsigned int | tn | ) |
| virtual

Implements gr::gsm::burst_timeslot_filter.

The documentation for this class was generated from the following file:

- burst_timeslot_filter_impl.h